(defproblem problem domain 
  (
    (capacity-predecessor capacity-0 capacity-1)
    (capacity-predecessor capacity-1 capacity-2)
    (road city-loc-0 city-loc-1)
    (road city-loc-0 city-loc-2)
    (road city-loc-0 city-loc-15)
    (road city-loc-1 city-loc-0)
    (road city-loc-1 city-loc-7)
    (road city-loc-1 city-loc-8)
    (road city-loc-2 city-loc-16)
    (road city-loc-2 city-loc-0)
    (road city-loc-2 city-loc-11)
    (road city-loc-3 city-loc-15)
    (road city-loc-4 city-loc-17)
    (road city-loc-4 city-loc-4)
    (road city-loc-4 city-loc-8)
    (road city-loc-4 city-loc-12)
    (road city-loc-5 city-loc-14)
    (road city-loc-6 city-loc-18)
    (road city-loc-6 city-loc-10)
    (road city-loc-7 city-loc-1)
    (road city-loc-7 city-loc-14)
    (road city-loc-8 city-loc-1)
    (road city-loc-8 city-loc-4)
    (road city-loc-8 city-loc-9)
    (road city-loc-8 city-loc-12)
    (road city-loc-9 city-loc-8)
    (road city-loc-9 city-loc-14)
    (road city-loc-10 city-loc-6)
    (road city-loc-11 city-loc-2)
    (road city-loc-12 city-loc-4)
    (road city-loc-12 city-loc-8)
    (road city-loc-13 city-loc-14)
    (road city-loc-14 city-loc-18)
    (road city-loc-14 city-loc-5)
    (road city-loc-14 city-loc-7)
    (road city-loc-14 city-loc-9)
    (road city-loc-14 city-loc-13)
    (road city-loc-15 city-loc-0)
    (road city-loc-15 city-loc-3)
    (road city-loc-16 city-loc-2)
    (road city-loc-17 city-loc-4)
    (road city-loc-18 city-loc-6)
    (road city-loc-18 city-loc-14)
    (at package-0 city-loc-2)
    (at package-1 city-loc-3)
    (at package-2 city-loc-8)
    (at package-3 city-loc-9)
    (at package-4 city-loc-8)
    (at package-5 city-loc-15)
    (at package-6 city-loc-17)
    (at package-7 city-loc-13)
    (at package-8 city-loc-8)
    (at package-9 city-loc-5)
    (at package-10 city-loc-14)
    (at package-11 city-loc-12)
    (at package-12 city-loc-6)
    (at package-13 city-loc-9)
    (at package-14 city-loc-7)
    (at package-15 city-loc-11)
    (at package-16 city-loc-17)
    (at package-17 city-loc-14)
    (at package-18 city-loc-12)
    (at package-19 city-loc-10)
    (at truck-0 city-loc-2)
    (at truck-1 city-loc-10)
    (at truck-2 city-loc-11)
    (at truck-3 city-loc-4)
    (at truck-4 city-loc-6)
    (capacity truck-0 capacity-2)
    (capacity truck-1 capacity-2)
    (capacity truck-2 capacity-2)
    (capacity truck-3 capacity-2)
    (capacity truck-4 capacity-2)
    (type-capacity-number capacity-0)
    (type-capacity-number capacity-1)
    (type-capacity-number capacity-2)
    (type-locatable package-0)
    (type-locatable package-1)
    (type-locatable package-10)
    (type-locatable package-11)
    (type-locatable package-12)
    (type-locatable package-13)
    (type-locatable package-14)
    (type-locatable package-15)
    (type-locatable package-16)
    (type-locatable package-17)
    (type-locatable package-18)
    (type-locatable package-19)
    (type-locatable package-2)
    (type-locatable package-3)
    (type-locatable package-4)
    (type-locatable package-5)
    (type-locatable package-6)
    (type-locatable package-7)
    (type-locatable package-8)
    (type-locatable package-9)
    (type-locatable truck-0)
    (type-locatable truck-1)
    (type-locatable truck-2)
    (type-locatable truck-3)
    (type-locatable truck-4)
    (type-location city-loc-0)
    (type-location city-loc-1)
    (type-location city-loc-10)
    (type-location city-loc-11)
    (type-location city-loc-12)
    (type-location city-loc-13)
    (type-location city-loc-14)
    (type-location city-loc-15)
    (type-location city-loc-16)
    (type-location city-loc-17)
    (type-location city-loc-18)
    (type-location city-loc-19)
    (type-location city-loc-2)
    (type-location city-loc-3)
    (type-location city-loc-4)
    (type-location city-loc-5)
    (type-location city-loc-6)
    (type-location city-loc-7)
    (type-location city-loc-8)
    (type-location city-loc-9)
    (type-object capacity-0)
    (type-object capacity-1)
    (type-object capacity-2)
    (type-object city-loc-0)
    (type-object city-loc-1)
    (type-object city-loc-10)
    (type-object city-loc-11)
    (type-object city-loc-12)
    (type-object city-loc-13)
    (type-object city-loc-14)
    (type-object city-loc-15)
    (type-object city-loc-16)
    (type-object city-loc-17)
    (type-object city-loc-18)
    (type-object city-loc-19)
    (type-object city-loc-2)
    (type-object city-loc-3)
    (type-object city-loc-4)
    (type-object city-loc-5)
    (type-object city-loc-6)
    (type-object city-loc-7)
    (type-object city-loc-8)
    (type-object city-loc-9)
    (type-object package-0)
    (type-object package-1)
    (type-object package-10)
    (type-object package-11)
    (type-object package-12)
    (type-object package-13)
    (type-object package-14)
    (type-object package-15)
    (type-object package-16)
    (type-object package-17)
    (type-object package-18)
    (type-object package-19)
    (type-object package-2)
    (type-object package-3)
    (type-object package-4)
    (type-object package-5)
    (type-object package-6)
    (type-object package-7)
    (type-object package-8)
    (type-object package-9)
    (type-object truck-0)
    (type-object truck-1)
    (type-object truck-2)
    (type-object truck-3)
    (type-object truck-4)
    (type-package package-0)
    (type-package package-1)
    (type-package package-10)
    (type-package package-11)
    (type-package package-12)
    (type-package package-13)
    (type-package package-14)
    (type-package package-15)
    (type-package package-16)
    (type-package package-17)
    (type-package package-18)
    (type-package package-19)
    (type-package package-2)
    (type-package package-3)
    (type-package package-4)
    (type-package package-5)
    (type-package package-6)
    (type-package package-7)
    (type-package package-8)
    (type-package package-9)
    (type-sort-for-capacity-0 capacity-0)
    (type-sort-for-capacity-1 capacity-1)
    (type-sort-for-capacity-2 capacity-2)
    (type-sort-for-city-loc-0 city-loc-0)
    (type-sort-for-city-loc-1 city-loc-1)
    (type-sort-for-city-loc-10 city-loc-10)
    (type-sort-for-city-loc-11 city-loc-11)
    (type-sort-for-city-loc-12 city-loc-12)
    (type-sort-for-city-loc-13 city-loc-13)
    (type-sort-for-city-loc-14 city-loc-14)
    (type-sort-for-city-loc-15 city-loc-15)
    (type-sort-for-city-loc-16 city-loc-16)
    (type-sort-for-city-loc-17 city-loc-17)
    (type-sort-for-city-loc-18 city-loc-18)
    (type-sort-for-city-loc-2 city-loc-2)
    (type-sort-for-city-loc-3 city-loc-3)
    (type-sort-for-city-loc-4 city-loc-4)
    (type-sort-for-city-loc-5 city-loc-5)
    (type-sort-for-city-loc-6 city-loc-6)
    (type-sort-for-city-loc-7 city-loc-7)
    (type-sort-for-city-loc-8 city-loc-8)
    (type-sort-for-city-loc-9 city-loc-9)
    (type-sort-for-package-0 package-0)
    (type-sort-for-package-1 package-1)
    (type-sort-for-package-10 package-10)
    (type-sort-for-package-11 package-11)
    (type-sort-for-package-12 package-12)
    (type-sort-for-package-13 package-13)
    (type-sort-for-package-14 package-14)
    (type-sort-for-package-15 package-15)
    (type-sort-for-package-16 package-16)
    (type-sort-for-package-17 package-17)
    (type-sort-for-package-18 package-18)
    (type-sort-for-package-19 package-19)
    (type-sort-for-package-2 package-2)
    (type-sort-for-package-3 package-3)
    (type-sort-for-package-4 package-4)
    (type-sort-for-package-5 package-5)
    (type-sort-for-package-6 package-6)
    (type-sort-for-package-7 package-7)
    (type-sort-for-package-8 package-8)
    (type-sort-for-package-9 package-9)
    (type-sort-for-truck-0 truck-0)
    (type-sort-for-truck-1 truck-1)
    (type-sort-for-truck-2 truck-2)
    (type-sort-for-truck-3 truck-3)
    (type-sort-for-truck-4 truck-4)
    (type-vehicle truck-0)
    (type-vehicle truck-1)
    (type-vehicle truck-2)
    (type-vehicle truck-3)
    (type-vehicle truck-4)
  )
  ((x--top))
)
